<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="programa">
        <h2 class="jh-entity-heading" data-cy="programaDetailsHeading">
          <span v-text="$t('gatewayApp.manillaPrograma.detail.title')">Programa</span> {{ programa.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaPrograma.caloriasActividad')">Calorias Actividad</span>
          </dt>
          <dd>
            <span>{{ programa.caloriasActividad }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaPrograma.pasosActividad')">Pasos Actividad</span>
          </dt>
          <dd>
            <span>{{ programa.pasosActividad }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaPrograma.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="programa.fechaRegistro">{{ $d(Date.parse(programa.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaPrograma.user')">User</span>
          </dt>
          <dd>
            {{ programa.user ? programa.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="programa.id" :to="{ name: 'ProgramaEdit', params: { programaId: programa.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./programa-details.component.ts"></script>
